/* Names for keyboard types */
OriginalMac = "Original Mac";
OriginalMacKeypad = "Original Mac with keypad";
MacPlus = "Mac Plus";
ExtendedADB = "Extended ADB";
StandardADB = "Standard ADB";
PortableADB = "Portable ADB";
ADBII = "ADB Keyboard II";
PowerBookADB = "PowerBook ADB";
AdjustableKeypad = "Adjustable keypad";
AdjustableKeyboard = "Adjustable";
PowerBookExtended = "PowerBook Extended";
PowerBookSubnotebook = "PowerBook Subnotebook";
PowerBookEmbeddedKeypad = "PowerBook embedded keypad";
OriginalUSB = "Original USB (Cosmo)";
Japanese1999PowerBook = "1999 Japanese PowerBook";
USBPro = "USB Pro Keyboard";
PowerBook2ndCmdKey = "PowerBook/iBook, 2nd cmd key";
USBProF16 = "USB Pro with F16";
ProF16 = "Pro with F16";
PS2Keyboard = "PS2 keyboard";
PowerBookUSBInternal = "PowerBook USB internal";
ThirdParty = "Third party";
AluminiumWireless = "Aluminium Wireless";
AluminiumApple = "Aluminium Apple";
MacBookLate2007 = "MacBook (late 2007)";
UnnamedJIS18 = "Unnamed JIS keyboard (ID = 18)";
Unknown = "Unknown (ID = %d)";

/* Descriptions of keyboard types */
OriginalMacDesc = "Original Mac\rCan't be used for OS X 10.2 or later";
OriginalMacKeypadDesc = "Original Mac with keypad\rCan't be used for OS X 10.2 or later";
MacPlusDesc = "Mac Plus\rObsolete, not supported by any Mac OS X hardware, now used for unknown third party keyboard";
ExtendedADBDesc = "Extended ADB keyboard\rNote that ADB keyboards cannot be used with OS X 10.3 and later";
StandardADBDesc = "Extended ADB keyboard\rNote that ADB keyboards cannot be used with OS X 10.3 and later";
PortableADBDesc = "Portable ADB keyboard\rNote that ADB keyboards cannot be used with OS X 10.3 and later";
ADBIIDesc = "ADB keyboard II\rNote that ADB keyboards cannot be used with OS X 10.3 and later";
PowerBookADBDesc = "PowerBook ADB keyboard\rNote that ADB keyboards cannot be used with OS X 10.3 and later";
AdjustableKeypadDesc = "Keypad for an Apple Adjustable Keyboard";
AdjustableKeyboardDesc = "Apple Adjustable Keyboard";
PowerBookExtendedDesc = "PowerBook Extended keyboard, with function keys and inverted T arrow keys";
PowerBookSubnotebookDesc = "PowerBook Subnotebook keyboard, with function keys and inverted T arrow keys";
PowerBookEmbeddedKeypadDesc = "PowerBook keyboard with embedded keypad and inverted T arrow keys (including Titanium PowerBook)";
OriginalUSBDesc = "Original USB (Cosmo) keyboard";
Japanese1999PowerBookDesc = "1999 Japanese PowerBook";
USBProDesc = "USB Pro keyboard";
PowerBook2ndCmdKeyDesc = "PowerBook/iBook 2001 keyboard, with 2nd command key and a different arrangement of function keys (brightness, sound, etc)";
USBProF16Desc = "USB Pro keyboard with F16 key";
ProF16Desc = "Pro keyboard with F16 key";
PS2KeyboardDesc = "PS2 keyboard";
PowerBookUSBInternalDesc = "PowerBook USB-based internal keyboard";
ThirdPartyDesc = "Third party keyboard";
AluminiumWirelessDesc = "Aluminium Apple Wireless Keyboard, released with Aluminium iMac, 2007";
AluminiumAppleDesc = "Aluminium Apple Keyboard, released with Aluminium iMac, 2007";
MacBookLate2007Desc = "MacBook (Late 2007) keyboard, with Fn key but no embedded keypad";
UnnamedJIS18Desc = "Unknown keyboard type";
UnknownDesc = "Unknown keyboard type (ID = %d)";
